---
updatedAt: 2025-06-12T20:26:48.000Z
agentTools:
  projectIndex: https://developer.accelevents.com/llms.txt
---

# Update host credit card settings

This API is used to update host credit card settings like creditCardEnabled , processingFeesToPurchaser, ccRequireForBidConfirm, and taxId.
To get this API we need to pass the authentication key to authenticate the user and body parameter of HostCreditCardSettings which contains creditCardEnabled, processingFeesToPurchaser, ccRequireForBidConfirm, taxId.This API is used on the payment processing page.

Here is the description of response attributes, which returns in the form of JSON.

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Attribute
      </th>

      <th style={{ textAlign: "left" }}>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        message
      </td>

      <td style={{ textAlign: "left" }}>
        Host credit card settings saved successfully
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        type
      </td>

      <td style={{ textAlign: "left" }}>
        Success
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "accelevents",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.accelevents.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/rest/host/event/{eventUrl}/settings/creditCard": {
      "put": {
        "summary": "Update host credit card settings",
        "description": "This API is used to update host credit card settings like creditCardEnabled , processingFeesToPurchaser, ccRequireForBidConfirm, and taxId.\nTo get this API we need to pass the authentication key to authenticate the user and body parameter of HostCreditCardSettings which contains creditCardEnabled, processingFeesToPurchaser, ccRequireForBidConfirm, taxId.This API is used on the payment processing page.",
        "operationId": "get-host-credit-card-settings-details-1",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "description": "API Authorization Token",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "eventUrl",
            "in": "path",
            "description": "Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "RAW_BODY": {
                    "type": "object",
                    "properties": {
                      "creditCardEnabled": {
                        "type": "boolean",
                        "description": "Is credit card enabled, if not passed will be updated as default false",
                        "default": false
                      },
                      "processingFeesToPurchaser": {
                        "type": "boolean",
                        "description": "Is processing fees to purchaser this button only enable if stripeConnected is true other wise this value will not be store in DB and if not passed will be updated as default false",
                        "default": false
                      },
                      "ccRequireForBidConfirm": {
                        "type": "boolean",
                        "description": "Is credit card required for bid confirmation, if not passed will be updated as default false",
                        "default": false
                      },
                      "taxId": {
                        "type": "string",
                        "description": "Tax id number, if not passed will be updated as empty string"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"type\": \"Success\",\n  \"message\": \"Host credit card settings saved successfully\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "Success"
                    },
                    "message": {
                      "type": "string",
                      "example": "Host credit card settings saved successfully"
                    }
                  }
                }
              }
            }
          },
          "201": {
            "description": "201",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          },
          "403": {
            "description": "403",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "Not Event Host"
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```